#ifndef NCSU_DIMENSIONS_H
#define NCSU_DIMENSIONS_H

#include <vector>
#include <string>

namespace ncsu {

struct dimension {

    int npoints;
    double origin;
    double spacing;

    double min() const throw()
    {
        return origin;
    }

    double max() const throw()
    {
        return this->operator()(npoints - 1);
    }

    double operator()(int n) const throw()
    {
        return origin + n*spacing;
    }

    void set_from_string(const std::string&);
};

} // namespace ncsu

#endif // NCSU_DIMENSIONS_H
